<div th:replace="fm:data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="input-group col-md-12">
        <input type="text" class="form-control" th:name="${prefix + data.id} + '.label'" th:value="${null == value ? '' : value.label}" th:attr="data-parsley-required=${data.isMandatory() ? true : null}" />
        <span class="input-group-btn">
            <button type="button" class="btn btn-primary"><span><i class="fa fa-search"></i></span></button>
        </span>
        <input type="hidden" th:name="${prefix + data.id} + '.id'" th:value="${null == value ? '' : value.id}" />
    </div>
</div>